{
  description = "A very basic flake";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-25.05";
    flake-base = {
      url = "git+https://khs.codes/nix/flake-base";
      inputs.nixpkgs.follows = "nixpkgs";
    };
    disko = {
      url = "github:nix-community/disko";
      inputs.nixpkgs.follows = "nixpkgs";
    };
  };

  outputs =
    inputs@{ self, ... }:
    inputs.flake-base.lib.mkFlake {
      inherit inputs;
      src = ./.;
      systems.modules.nixos = [ inputs.disko.nixosModules.disko ];
      snowfall = {
        root = ./nix;
        namespace = "khscodes";
        meta = {
          title = "Nix machines for KHS";
          name = "Machines";
        };
      };
      modules.nixos.default = {
        imports = [
          self.nixosModules.hetzner
          self.nixosModules.sshd
          self.nixosModules.sshd
          self.nixosModules.systemd-boot
          self.nixosModules.qemu-guest
          inputs.disko.nixosModules.disko
        ];
      };
    };
}
